<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

include_once '../sys/inc/thead.php';
include_once '../moduls/vip.inc.php';
$set['title']='V.I.P. персона';
title();
err();
aut();



Error_Reporting(E_ALL & ~E_NOTICE);
if(isset($_GET['cl'])){	msg('VIP очищен');}
if(isset($_GET['clean'])){
if(isset($_GET['ok'])){
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
header('Location: ?cl');}	else	{
echo "<div class='err'>Вы уверены что хотите очистить VIP? <a href='?clean&amp;ok'>Да</a> : <a href='?'>Нет</a></div>\n";}}
#---#
if(isset($_GET['ok'])){echo "<div class='titr'>Вы успешно приобрели VIP статус</div>\n";}
#---#

#---#
$id=intval($_GET['id']);
$arr=mysql_fetch_array(mysql_query("SELECT * FROM `vip_status_Saint` WHERE `id`='$id'"));

#---#
$action=htmlspecialchars(trim($_GET['action']));
switch ($action)	{
default:
echo "<div class='$dizz'>
<b>Преимущества V.I.P. статуса:
</b>
<br />

<b>1.</b> <img src='/style/vip/9.png'> иконка возле Вашего ника на выбор из 9 штук.
<br />
<b>2.</b> Ваш ник с мини аватаром на <font color='OrangeRed'><b>главной </b></font>по очереди меняется с остальными  V.I.P. призерами.<br />
<b>3.</b> Возможность удалить вип статус абсолютно бесплатно.
<br />
<b>4.</b> VIP статус дается на <font color='DodgerBlue'><b>7 дней</b></font>.<br />
<b>5.</b> В беседке дается вместо <font color='DodgerBlue'><b>+1</b></font> балла <font color='DarkOrange'><b>+5</b></font> баллов.<br />
<b>6.</b> В Фото-Альбомах за коментарии вместо <font color='DodgerBlue'><b>+1</b></font> балла <font color='DeepPink'><b>+5</b></font> баллов.<br />
<b>7.</b> В новостях  за коментарии вместо <font color='DodgerBlue'><b>+1</b></font> балла <font color='DarkViolet'><b>+5</b></font> баллов.<br /><br />

[<font color='red'><b>!</b></font>] Все это действует пока пользователь V.I.P.!
<br />



</div>\n";

#---#
if($arrs['time']>=$time)	{
echo '<div class="dop_menu"><font color="red"><b><center>Вы</font><font color="GREEN"> VIP </font></center></b> </div><div class="txt">Вашему статусу осталось жить ещё '.otime($arrs["time"]-time()).'</div>';
}	else	{
echo "<div class='$diz'><img src='/style/vip/1.png'><br /><a href='?action=1'>Купить (<font color='DarkOrange'>".$cena1."</font>б.)</a></div>
<div class='$diz'><img src='/style/vip/2.png'><br /><a href='?action=2'>Купить (<font color='DarkOrange'>".$cena2."</font>б.)</a></div>
<div class='$diz'><img src='/style/vip/3.png'><br /><a href='?action=3'>Купить (<font color='DarkOrange'>".$cena3."</font>б.)</a></div>
<div class='$diz'><img src='/style/vip/4.png'><br /><a href='?action=4'>Купить (<font color='DarkOrange'>".$cena4."</font>б.)</a></div>
<div class='$diz'><img src='/style/vip/5.png'><br /><a href='?action=5'>Купить (<font color='DarkOrange'>".$cena5."</font>б.)</a></div>
<div class='$diz'><img src='/style/vip/6.png'><br /><a href='?action=6'>Купить (<font color='DarkOrange'>".$cena6."</font>б.)</a></div>
<div class='$diz'><img src='/style/vip/7.png'><br /><a href='?action=7'>Купить (<font color='DarkOrange'>".$cena7."</font>б.)</a></div>
<div class='$diz'><img src='/style/vip/8.png'><br /><a href='?action=8'>Купить (<font color='DarkOrange'>".$cena8."</font>б.)</a></div>
<div class='$diz'><img src='/style/vip/9.png'><br /><a href='?action=9'>Купить (<font color='DarkOrange'>".$cena9."</font>б.)</a></div>";
}
break;
#---#
case '1':
if($arrs['time']>=$time)	{
echo $msgs.'';}	else	{
if ($user['balls']>$cena1)		{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena1)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `vip_status_Saint` (`id_user`, `nomer`, `time`) values('$user[id]', '1', '".($time+$vremya1)."')");
header('Location: ?ok');}	else	{
echo "<div class='err'>У вас нету ".$cena1." баллов!</div>\n";}	}break;
#---#
case '2':
if($arrs['time']>=$time)	{
echo $msgs.'';}	else	{
if ($user['balls']>$cena2)		{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena2)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `vip_status_Saint` (`id_user`, `nomer`, `time`) values('$user[id]', '2', '".($time+$vremya2)."')");
header('Location: ?ok');}	else	{
echo "<div class='err'>У вас нету ".$cena2." баллов!</div>\n";}	}break;
case '3':
if($arrs['time']>=$time)	{
echo $msgs.'';}	else	{
if ($user['balls']>$cena3)	{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena3)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `vip_status_Saint` (`id_user`, `nomer`, `time`) values('$user[id]', '3', '".($time+$vremya3)."')");
header('Location: ?ok');}	else	{
echo "<div class='err'>У вас нету ".$cena3." баллов!</div>\n";}	}break;
#---#
case '4':
if($arrs['time']>=$time)	{
echo $msgs.'';}	else	{
if ($user['balls']>$cena4)		{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena4)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `vip_status_Saint` (`id_user`, `nomer`, `time`) values('$user[id]', '4', '".($time+$vremya4)."')");
header('Location: ?ok');}else{
echo "<div class='err'>У вас нету ".$cena4." баллов!</div>\n";}	}break;
#---#
case '5':
if($arrs['time']>=$time)	{
echo $msgs.'';}	else	{
if ($user['balls']>$cena5)		{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena5)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `vip_status_Saint` (`id_user`, `nomer`, `time`) values('$user[id]', '5', '".($time+$vremya5)."')");
header('Location: ?ok');}	else	{
echo "<div class='err'>У вас нету ".$cena5." баллов!</div>\n";}	}break;
#---#
case '6':
if($arrs['time']>=$time)	{
echo $msgs.'';}	else	{
if ($user['balls']>$cena6)		{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena6)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `vip_status_Saint` (`id_user`, `nomer`, `time`) values('$user[id]', '6', '".($time+$vremya6)."')");
header('Location: ?ok');}	else	{	
echo "<div class='err'>У вас нету ".$cena6." баллов!</div>\n";}	}break;
#---#
case '7':
if($arrs['time']>=$time)	{
echo $msgs.'';}	else	{
if ($user['balls']>$cena7)		{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena7)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `vip_status_Saint` (`id_user`, `nomer`, `time`) values('$user[id]', '7', '".($time+$vremya7)."')");
header('Location: ?ok');}	else	{
echo "<div class='err'>У вас нету ".$cena7." баллов!</div>\n";}	}break;
#---#
case '8':
if($arrs['time']>=$time)	{
echo $msgs.'';}	else	{
if ($user['balls']>$cena8){
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena8)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `vip_status_Saint` (`id_user`, `nomer`, `time`) values('$user[id]', '8', '".($time+$vremya8)."')");
header('Location: ?ok');}	else	{
echo "<div class='err'>У вас нету ".$cena8." баллов!</div>\n";}	}break;
#---#
case '9':
if($arrs['time']>=$time)	{
echo $msgs.'';}	else	{
if ($user['balls']>$cena9)		{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$cena9)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `vip_status_Saint` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `vip_status_Saint` (`id_user`, `nomer`, `time`) values('$user[id]', '9', '".($time+$vremya9)."')");
header('Location: ?ok');}	else	{
echo "<div class='err'>У вас нету ".$cena9." баллов!</div>\n";}	}	break;	
	}
#---#
if($arrs['time']>=$time)	{
echo "<div class='$diz'>\n";
echo "<a href='?clean'>Очистить VIP</a><br />\n";
echo "</div>\n";}	else	{}
#---#
include_once '../sys/inc/tfoot.php';
?>